path: /build/build/nvidia-560-kernel-modules-kernel-5.10-560.35.03+1.package.tar.zst
dependencies: []
compilespec:
  steps:
  - eval 'mkdir -p /etc/portage/patches/x11-drivers/nvidia-kernel-modules/ || true'
    && sed -i -e 's|versionator||g' /var/git/meta-repo/kits/core-kit/eclass/nvidia-driver.eclass
  - anise repo disable mottainai-stable && anise i mottainai-dev
  - rm /var/git/meta-repo/kits/core-gl-kit/x11-drivers/nvidia-drivers/*.ebuild -vf
    && rm /var/git/meta-repo/kits/core-gl-kit/x11-drivers/nvidia-kernel-modules/*.ebuild
    -vf && anise repo update && anise upgrade -y && anise i -y x11-drivers-560/nvidia-drivers
    && anise cleanup && emerge -j ${JOBS} =x11-drivers/nvidia-kernel-modules-560.35.03
    -pv -t
  - |
    emerge -j ${JOBS} =x11-drivers/nvidia-kernel-modules-560.35.03
  - |
    eval 'rm -rf /nvidia-560-kernel-modules || true' && mkdir /nvidia-560-kernel-modules && \
    luet-portage --dir /nvidia-560-kernel-modules x11-drivers/nvidia-kernel-modules
  - for i in /nvidia-560-kernel-modules/lib/modules/nvidia/560.35.03/5.10.238-macaroni/video/*.ko
    ; do xz -z ${i} ; done
  env:
  - FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox"
  prelude: []
  image: ""
  seed: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-dev-tree:2a5351f538f54a4154735a43ae3a210313aa7b143e08f7c804a14ecb1efd9646
  package:
    name: nvidia-560-kernel-modules
    version: 560.35.03+1
    category: kernel-5.10
    requires:
    - name: kernel
      version: '>=0'
      category: seed-5.10
    annotations:
      kernel_module: true
    buildtimestamp: 2025-06-18 09:37:45.107642708 +0000 UTC m=+656.020915798
    labels:
      emerge.packages: x11-drivers/nvidia-kernel-modules
      kernel.suffix: macaroni
      kernel.type: vanilla
      kernel.version: 5.10.238
      original.package.slot: "560"
      original.package.version: 560.35.03
    treedir: /build/packages
  package_dir: /nvidia-560-kernel-modules
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/db/pkg/
  - ^/var/cache/portage/
  - ^/var/git/
  - ^/usr/share/doc/
  - ^/etc/modprobe.d/
  - ^/lib/udev/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: cba80032665c291fa61619985303ac72e10aaa9aeafb46c2206ebad7523786db
compressiontype: zstd
files:
- lib/modules/nvidia/560.35.03/5.10.238-macaroni/video/nvidia-drm.ko.xz
- lib/modules/nvidia/560.35.03/5.10.238-macaroni/video/nvidia-modeset.ko.xz
- lib/modules/nvidia/560.35.03/5.10.238-macaroni/video/nvidia-uvm.ko.xz
- lib/modules/nvidia/560.35.03/5.10.238-macaroni/video/nvidia.ko.xz
package_cacheimage: ""
runtime:
  name: nvidia-560-kernel-modules
  version: 560.35.03+1
  category: kernel-5.10
  requires:
  - name: gpu-configurator
    version: '>=0'
    category: app-admin
  annotations:
    kernel_module: true
  labels:
    emerge.packages: x11-drivers/nvidia-kernel-modules
    kernel.suffix: macaroni
    kernel.type: vanilla
    kernel.version: 5.10.238
    original.package.slot: "560"
    original.package.version: 560.35.03
